Package org.eclipse.ecf.remoteservice.util

## Class IDUtil

- java.lang.Object
- - org.eclipse.ecf.remoteservice.util.IDUtil

    public class IDUtil
    extends Object

Since:
  8.9

### Constructor Summary

Constructors
`IDUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ID` `createID​(String namespaceName, String idName)`
`static ID` `createID​(Namespace namespace, Object[] args)`
`static ID` `createID​(Namespace namespace, String idName)`
`static Namespace` `findNamespaceByIdName​(String idName)`
`static Namespace` `findNamespaceByScheme​(String scheme)`
`static IIDFactory` `getIDFactory()`
`static Namespace` `getNamespaceByName​(String namespaceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IDUtil

    public IDUtil()

### Method Detail

#### getIDFactory

    public static IIDFactory getIDFactory()

#### getNamespaceByName

    public static Namespace getNamespaceByName​(String namespaceName)

#### findNamespaceByIdName

    public static Namespace findNamespaceByIdName​(String idName)

#### findNamespaceByScheme

    public static Namespace findNamespaceByScheme​(String scheme)

#### createID

    public static ID createID​(String namespaceName,
                              String idName)
                       throws IDCreateException

Throws:
  `IDCreateException`

#### createID

    public static ID createID​(Namespace namespace,
                              String idName)
                       throws IDCreateException

Throws:
  `IDCreateException`

#### createID

    public static ID createID​(Namespace namespace,
                              Object[] args)
                       throws IDCreateException

Throws:
  `IDCreateException`